<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
    <div v-wechat-title="$route.meta.title=name"></div>
        <div class="box" v-if="detailshow">
            <div class="top">
                        <span>姓名</span>
                        <span>项目类别</span>
                        <span>人天数量</span>
            </div>
            <div class="blockgray"></div>
            <div class="boxdata" v-for="(item,index) in datalist" :key="index">
                <div class="toptitle">
                    <img class="image1" src="../../assets/four.png" alt="">
                    <div class="left">
                        <span>{{item.Name}}</span>
                         <span>{{item.WeekStartDate2}}~{{item.WeekEndDate2}}</span>
                    </div>
                    <div class="right">
                        <span>{{item.tatol}}</span>
                    </div>
                   
                   
                </div>
                <ul class="list" v-for="(itemt,index) in item.conlist" :key="index">
                    <li>{{itemt.StaffName}}</li>
                    <li>{{itemt.NProjectType}}</li>
                    <li>{{itemt.manday}}</li>
                </ul>
                   
               
            </div>
           <div class="blockgray blockgrayf"></div>
           
        </div>
        <div id="dashboard" :style="!dashshow ? {'display':'none'}:''">
            <div id="myChart"></div>
            <div id="circleChart"></div>
             <div id="lineChart"></div>
              
             
            <h1 v-if="OnlyMonthlist.length>0" style="font-size:0.28rem; font-weight:500; margin-left:8%;">从{{MonthStafflist[0].startTime}}到{{MonthStafflist[0].endTime}}的项目成员人天耗费情况</h1><br />
             <table v-if="OnlyMonthlist.length>0">
                 <tr>
                     <th>姓名</th>
                     <th v-for="(item,index) in OnlyMonthlist" :key="index">{{item}}</th>
                     <th>总计</th>
                 </tr>
                 <tr v-for="(item,index) in stafflist" :key="index">
                     <td>{{item.StaffName}}</td>
                     <td v-for="(itemt,index) in item.sfafflist" :key="index">{{itemt.MandayNumber}}</td>
                     <td>{{item.total}}</td>
                 </tr>
             </table>
            <div id="circleChart1"></div>
         
          
             <div class="blockgray"></div>
        </div>
       
        <div class="footer">
            <button @click="todash()"><img style="width:0.4rem; height:0.4rem; margin-top:0.3rem; margin-left:0.7rem" class="image1" src="../../assets/dashboard.png">&nbsp;<span>DashBoard</span></button>
            <button @click="todetail()"><img style="width:0.6rem; height:0.6rem; margin-top:0.18rem; margin-left:0.7rem;" class="image1" src="../../assets/mingxi.png">&nbsp;<span>查看明细</span></button>
        </div>
        <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
export default {
    data(){
        return{
            isshow:false,
            istype:'',
            issave:false,
            word:'',
            datalist:[],
            testdata:'1025',
            dashshow:true,
            detailshow:false,
            stagelistx:[],
            stagelistday:[],
            stagelistmoney:[],
            monthlistx:[],
            monthlisty:[],
            typelist:[],
            typelistx:[],
            salelistr:[],
            OnlyMonthlist:[],
            stafflist:[],
            MonthStafflist:[],
            Stagelist:[],
            name:''
        }
    },
    computed:{
        
        options(){
            let that=this;
            let option={
                title:{
                    text:'近'+that.monthlistx.length+'个月项目成员人天成本耗费情况',
                    x:'center',
                    textStyle:{
                        fontSize:'14',
                        lineHeight:'40'
                    }
                },
                grid:{
                    top:'20%',
                    height:'200'
                },
                //  tooltip:{
                //     trigger:'axis',
                //     formatter:function(szlb){
                //         console.log(szlb);
                //         console.log(that);
                //         console.log(szlb[0].axisValue);
                //         that.testdata=szlb[0].axisValue;
                //     }
                // },
                 xAxis : [
                    {
                        type : 'category',
                        data : '',
                        axisLabel:{interval: 0}
                    }
                    ],
                yAxis : [
                    {
                        type : 'value',
                         axisLabel: {
                            formatter: '{value}w'
                        }
                    }
                ],
                series : [
                    {
                        // name:'蒸发量',
                        type:'bar',
                        data:'',
                        color:'#64C8A8',
                        label:{
                            normal:{
                                show:true,
                                position:'insideBottom',
                                rotate:'90',
                                verticalAlign:'middle',
                                distance:20,
                                formatter:'{c}w'
                            }
                        }
                        // markPoint : {
                        //     data : [
                        //         {coord: [1, 5],value:2.0},
                        //         {type : 'average'}
                        //     ]
                        // },
                        // markLine : {
                        //     data : [
                        //         {type : 'average', name: '平均值'}
                        //     ]
                        // }
                    },
                
                ]
            }
            return option;
        },
        circleoptions(){
            let option={
                 title:{
                    text:'实施人天的收费类型占比',
                    x:'center',
                    y:'top',
                    textStyle:{
                        fontSize:'14',
                        lineHeight:'40'
                    }
                },
                tooltip: {
                    trigger: 'item',
                    formatter: "{b}<br />{c} ({d}%)"
                },
                legend: {
                    orient: 'horizontal',
                    x: 'center',
                    y:'bottom',
                    data:''
                },
                series: [
                    {
                        //name:'访问来源',
                        type:'pie',
                        radius: ['20%', '70%'],
                        // center:['50%','50%'],
                        avoidLabelOverlap: false,
                        label: {
                            normal: {
                                show: true,
                                position: 'inner',
                                formatter:function(data){ return data.percent.toFixed(0)+"%";} 
                            },
                            emphasis: {
                                show: true,
                                textStyle: {
                                    fontSize: '30',
                                    fontWeight: 'bold'
                                }
                            }
                        },
                        labelLine: {
                            normal: {
                                show: false
                            }
                        },
                        data:''
                        
                    }
                    ],
                    color:['#64C8A8','#63A0A7']
            }
            return option;
        },   
         circleoptions1(){
            let option={
                 title:{
                    text:'项目售前人天和实施人天的占比',
                    x:'center',
                    y:'top',
                    textStyle:{
                        fontSize:'14',
                        lineHeight:'40'
                    }
                },
                tooltip: {
                    trigger: 'item',
                    formatter: "{b}<br />{c} ({d}%)"
                },
                legend: {
                    orient: 'horizontal',
                    x: 'center',
                    y:'bottom',
                    data:''
                },
                series: [
                    {
                        //name:'访问来源',
                        type:'pie',
                        radius: ['20%', '70%'],
                        avoidLabelOverlap: false,
                        label: {
                            normal: {
                                show: true,
                                position: 'inner',
                                formatter:function(data){ return data.percent.toFixed(0)+"%";} 
                            },
                            emphasis: {
                                show: true,
                                textStyle: {
                                    fontSize: '30',
                                    fontWeight: 'bold'
                                }
                            }
                        },
                        labelLine: {
                            normal: {
                                show: false
                            }
                        },
                        data:''
                        
                    }
                    ],
                     color:['#63A0A7','#64C8A8']
            }
            return option;
        },   
        lineoptions(){
           let option={
                title:{
                    // text:'各阶段人天数和人天成本统计',
                    text:'各阶段人天数统计',
                     x:'center',
                     y:'top',
                     textStyle:{
                         fontSize:'14',
                         lineHeight:'40'
                     }
                },
                grid:{
                    top:'25%'
                },
                //  legend: {
                //     data:['项目人天数量','项目人天成本'],
                //     x:'center',
                //     y:'bottom'
                // },
                 xAxis: [
                    {
                        type: 'category',
                        data: '',
                        axisPointer: {
                            type: 'shadow'
                        },
                        axisLabel:{interval: 0}
                    }
                ],
                yAxis:[
                     {
                        type: 'value',
                        name: '人天数(d)',
                        // min: 0,
                        // max: 250,
                        // interval: 50,
                        axisLabel: {
                            formatter: '{value}'
                        }
                    },
                    // {
                    //     type: 'value',
                    //     name: '人天成本(k)',
                    //     // min: 0,
                    //     // max: 25,
                    //     // interval: 5,
                    //     axisLabel: {
                    //         formatter: '{value}'
                    //     }
                    // }
                ],
                series: [
                     {
                        name:'项目人天数量',
                        type:'bar',
                        data:'',
                        color:'#64C8A8',
                        label:{
                            normal:{
                                show:true,
                                position:'insideBottom',
                                rotate:'90',
                                verticalAlign:'middle',
                                distance:20
                            }
                        }
                    },
                    
                    // {
                    //     name:'项目人天成本',
                    //     type:'line',
                    //     yAxisIndex: 1,
                    //     data:'',
                    //     color:'#63A0A7'
                    // }
                ]

           } 
           return option;
        },
                 
    },
    methods:{
        todash(){
            this.dashshow=true;
            this.detailshow=false;
        },
        todetail(){
             this.dashshow=false;
            this.detailshow=true;
        },
        sureback(){
            this.issave=false;
        },
        drawline(){
            let myChart = this.$echarts.init(document.getElementById('myChart'));
            // 绘制图表
            //console.log("option"+this.options);
            let circleChart= this.$echarts.init(document.getElementById('circleChart'));
            let circleChart1= this.$echarts.init(document.getElementById('circleChart1'));
            console.log(this.datalist[0])
            let lineChart=this.$echarts.init(document.getElementById('lineChart'));
            if(this.MonthStafflist.length>0){
                myChart.setOption(this.options)
            }
             if(this.typelist.length>0){
                  circleChart.setOption(this.circleoptions);
             }
            if(this.salelistr.length>0){
                circleChart1.setOption(this.circleoptions1);
            }
             
             if(this.Stagelist.length>0){
                  lineChart.setOption(this.lineoptions);
             }
           
        }
    },
    // mounted(){
        
    // },
    created(){
       
          
         let that=this;
        that.isshow=true;
        that.istype='加载中';
        that.name=that.$route.query.name;
         client.apexrest('/rest/ProjectSummary?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Status=="Success"){
                      if(data.weekdatalist.length>0){
                          that.datalist=data.weekdatalist;
                         // that.options.xAxis[0].data[0]=that.datalist[0].Name;
                         

                      }else{
                           that.datalist=[];
                            that.issave=true;
                            that.word='无数据';
                      }
                      if(data.Stagelist.length>0){
                          that.Stagelist=data.Stagelist;
                          data.Stagelist.filter((val,index)=>{
                            that.stagelistx.push(val.NProjectStage);
                            that.stagelistday.push(val.manday);
                            that.stagelistmoney.push(val.ProjectMandayCost);
                          })
                        
                      }else{
                          that.stagelistx=[];
                      }
                      if(data.Monthlist.length>0){
                          data.Monthlist.filter((val,index)=>{
                               that.monthlistx.push(val.year+'/'+val.Month);
                               that.monthlisty.push(val.ProjectMandayCost);
                          })
                         
                      }else{
                           that.monthlistx=[];
                           that.monthlisty=[];
                      }
                      if(data.typelist.length>0){
                          data.typelist.filter((val,index)=>{
                               that.typelist.push({name:val.type,value:val.MandayNumber})
                               
                          })
                         
                      }else{
                          that.typelist=[];
                      }
                      if(data.salelist.length>0){
                          data.salelist.filter((val,index)=>{
                               that.salelistr.push({name:val.type,value:val.MandayNumber})
                          })
                         
                      }else{
                           that.salelistr=[];
                      }
                      if(data.OnlyMonthlist.length>0){
                          that.OnlyMonthlist=data.OnlyMonthlist
                      }else{
                           that.OnlyMonthlist=[]
                      }
                      if(data.MonthStafflist.length>0){
                            that.MonthStafflist=data.MonthStafflist;
                              that.stafflist=data.MonthStafflist
                        
                      }
                      that.lineoptions.xAxis[0].data=that.stagelistx;
                      that.lineoptions.series[0].data=that.stagelistday;
                      //that.lineoptions.series[1].data=that.stagelistmoney;
                      that.options.xAxis[0].data=that.monthlistx;
                      that.options.series[0].data=that.monthlisty;
                      that.circleoptions.series[0].data=that.typelist;
                      that.circleoptions.legend.data=that.typelist.map((val)=>{return val.name})
                      console.log(that.salelistr);
                      that.circleoptions1.series[0].data=that.salelistr;
                      that.circleoptions1.legend.data=that.salelistr.map((val)=>{return val.name})
                       that.drawline();
                  }else{
                      that.issave=true;
                      that.word=data.Message;
                      console.log(data.Message);
                  }
                },function(error){
                  that.isshow=false;
                  that.issave=true;
                  that.word=error;
                  console.log(error);

                },'GET',null,true)
                
        //  vm.$nextTick(()=>{
        //     this.drawline();
        // })
    }

}
</script>
<style lang="scss" type="text/scss" scoped>
    #home{
        width:100%;
        margin: 0 auto;
    }
    #home .box{
        width:100%;
        margin: 0 auto;
        /* height: 4rem; */
        /* background: white; */
        /* height: 1rem; */
        /* border-radius: 0.2rem; */
        /* box-shadow: 0.2rem 0.2rem #eeeeee; */
        /* margin-top: 0.2rem; */
    }
    #home #dashboard{
        width: 100%;
    }
     #home #dashboard #myChart{
         width:100%;
         height: 300px;
     }
      #home #dashboard #lineChart{
           width:100%;
         height: 300px;
      }
     #home #dashboard #circleChart{
          width:100%;
         height: 300px;
     }
      #home #dashboard #circleChart1{
           width:100%;
           height: 300px;
      }
      #home #dashboard .box{
          width: 100%;
          height: 1rem;
          display: flex;
          align-items: center;
      }
       #home #dashboard .box li{
           width: 50%;
           height: 1rem;

       }
       #home #dashboard table {
          width: 95%;
          margin:0 auto;
        //   height: 20px;
      }
       #home #dashboard table tr{
           height: 1rem;
           width: 100%;

       }
         #home #dashboard table tr th{
            //  width: 50%;
             height: 0.6rem;
             line-height: 1rem;
             border:0.02rem solid lightgray;
             text-align: center;
             background: #63A0A7;
             color:white;
         }
          #home #dashboard table tr th:first-child{
              width: 23%;
          }
           #home #dashboard table tr td:first-child{
               width: 2%;
           }
          #home #dashboard table tr td{
            //   width: 50%;
                height:0.6rem;
              line-height: 1rem;
               border:0.02rem solid lightgray;
               text-align: center;
          }
    #home .box .top{
        width:100%;
        margin: 0 auto;
        height: 1rem;
        display: flex;
        position: fixed;
        left: 0;
        top: 0;
        background: white;
      /* box-shadow: 0.1rem 0.1rem #eeeeee; */
        border-bottom: 0.02rem solid lightgray;
       
        /* font-size: 0.28rem; */
    }
    #home .box .top span{
        width: 33.33%;
        height: 1rem;
        text-align: center;
        line-height: 1rem;
        color: #5477AB;
        font-weight: 600;
    }
    #home .box .boxdata{
        width:100%;
        /* background: white; */
     
    }
     #home  .blockgray{
            height: 2rem;
     }
      #home .box .blockgrayf{
           height: 2rem;
      }
     #home .box .boxdata .toptitle{
         width: 100%;
         height: 1rem;
        display: flex;
        background: rgba(84,119,171,.2);
        color: gray;
       
        /* justify-content: space-between; */
     }
      #home .box .boxdata .toptitle .image1{
          width: 0.5rem;
          height: 0.5rem;
          margin-left: 0.2rem; 
          margin-top: 0.2rem;
      }
      #home .box .boxdata .toptitle .left{
         display: flex;
         flex-direction: column;
         width: 68%;
         height: 1rem;
         margin-left:0.3rem;
      }
      #home .box .boxdata .toptitle .left span{
          height:0.5rem;
          line-height: 0.5rem;
          font-size: 0.24rem;
      }
       #home .box .boxdata .toptitle .left span:first-child{
           color: gray;
           font-size: 0.30rem;
           font-weight: 800;
           line-height: 0.7rem;
       }
       #home .box .boxdata .toptitle .right{
           height: 1rem;
           line-height: 1rem;
         width: 23%;
         margin-right: 7%;
         text-align: center;
         color:red;
      }
      #home .box .boxdata .list{
          width: 100%;
          display: flex;
      }
      #home .box .boxdata .list li{
          width: 33.33%;
          text-align: center;
          background: white;
          height: 1rem;
          line-height: 1rem;
          border-bottom: 0.02rem solid #eeeeee;
          color: gray;
      }
     #home .center{
         width:100%;
         height: auto;
         display: flex;
     }
     #home .center li{
         width:25%;
         height:1rem;
         text-align: center;
         line-height: 25%;
     }
     #home .footer{
         width: 100%;
         height: 1rem;
         position: fixed;
         left: 0;
         bottom:0;
         display: flex;
         box-shadow: 0.1rem 0.1rem 0.1rem 0.1rem gray;
     }
     #home .footer button{
         background: white;
        //  border-top: 0.02rem solid #eeeeee;
         width: 50%;
         height: 1rem;
         line-height: 1rem;
         text-align: center;
         font-size: 0.28rem;
         color: #5477AB;
         display: flex;
         border:none;
         /* flex-direction: column; */
     }
   #home .footer button:first-child{
       border-right: 0.02rem solid #eeeeee;
   }
</style>

